import { ReplaceText, ReplaceTextOptions } from '../types/modify-types';
import { ShapeCoordinates } from '../types/shape-types';
import { XmlDocument, XmlElement } from '../types/xml-types';
export default class ModifyShapeHelper {
    /**
     * Set solid fill of modified shape
     */
    static setSolidFill: (element: XmlDocument | XmlElement) => void;
    /**
     * Set text content of modified shape
     */
    static setText: (text: string) => (element: XmlDocument | XmlElement) => void;
    /**
     * Replace tagged text content within modified shape
     */
    static replaceText: (replaceText: ReplaceText | ReplaceText[], options?: ReplaceTextOptions) => (element: XmlDocument | XmlElement) => void;
    /**
     * Set position and size of modified shape.
     */
    static setPosition: (pos: ShapeCoordinates) => (element: XmlDocument | XmlElement) => void;
    /**
     * Update position and size of a shape by a given Value.
     */
    static updatePosition: (pos: ShapeCoordinates) => (element: XmlDocument | XmlElement) => void;
}
